cURL
curl --request GET \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/kyc/{kyc_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Grid-Environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/kyc/{kyc_id}"
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Grid-Environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/kyc/{kyc_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"kyc_continuation_link": "<string>",
"rejection_reasons": [
{
"created_at": "<string>",
"developer_reason": "<string>",
"reason": "<string>"
}
],
"requirements_due": [
"<string>"
]
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}KYC
Get KYC Status
GET
/
smart-accounts
/
{smart_account_address}
/
kyc
/
{kyc_id}
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Path Parameters
The address of the smart account to get KYC status for
The KYC ID to get status for
Response
Successfully retrieved KYC status
Available options:
individual, business Available options:
not_started, under_review, incomplete, approved, rejected Available options:
pending, approved Show child attributes
Show child attributes
Was this page helpful?
⌘I